version: '3'

networks:
    backend:

services:
    ccpd:
        container_name: ccpd-pre
        image: local/ccpd-pre:latest
        build: ./
        restart: no
        environment:
            DB_PASSWORD: ${DB_PASSWORD}
            DB_PASSWORD_ENCODED: ${DB_PASSWORD_ENCODED}
        tmpfs:
            - /tmp
            - /run
            - /run/lock
        volumes:
            - /sys/fs/cgroup:/sys/fs/cgroup
        networks:
            - backend
